Home > HSP | HSP3Dish > XCode4.5でのHSP3Dishアプリ作成について

XCode4.5でのHSP3Dishアプリ作成について

iOS用のアプリ開発ツールである、XCodeのバージョン4.5以降で、HSP3Dishを利用してアプリ作成を行なう場合は、以下の点に注意してください。

・新規プロジェクトでエラーが発生します

マニュアルに従って新規プロジェクトを作成すると、一部のソースでコンパイルエラーが発生します。これはデフォルトでC++11のオプションが指定されているためです。
プロジェクトのBuild Settingsの中にある、Apple LLVM compiler 4.1 – Language内のオプション、「C Language Dialect」「C++ Language Dialect」「C++ Standard Library」をすべて「Compiler Default」に変更すれば、従来通りにコンパイルが行なわれます。
以前のXCodeで作成されたプロジェクトファイルは問題なく読み込みビルドすることが可能です。

・iOS4.3より古いバージョンはサポートされません

XCode4.5から、armv6などの古いCPU向けのコードを生成しなくなりました。これにより、iOS4.3より古いバージョンはサポートされないので注意してください。また、動作可能OS(Deployment Target)のバージョンも4.3以前には設定しないようにしてください。

今後のバージョンアップで問題などが発生した場合は、再度お知らせ致します。
その他、XCode上での手順については標準で用意されている以下のマニュアルを参考にしてください。
http://www.onionsoft.net/hsp/v33/doclib/hsp3dish_ios.htm

このエントリをdel.icio.usに追加このエントリをLivedoor Clipに追加このエントリをYahoo!ブックマークに追加このエントリをはてなブックマークに追加

Comments:1

通りすがり 12-11-16 (金) 14:16

HSP3DISHを使用させてもらっている者ですが、HSP3DISH33A8.ZIPをダウンロードし、その中に入っているiOsフォルダ内のプロジェクトが、いずれもApple LLVN compiler 4.1というエラーが出てビルドできません。
上記の「C++ Language Dialect」「C++ Standard Library」の設定も正しくされているようなのですが。。

Comment Form
Remember personal info

Trackbacks:0

Trackback URL for this entry
http://www.onionsoft.net/wp/archives/797/trackback
Listed below are links to weblogs that reference
XCode4.5でのHSP3Dishアプリ作成について from おにたま(オニオンソフト)のおぼえがき

Home > HSP | HSP3Dish > XCode4.5でのHSP3Dishアプリ作成について

Search
Feeds
Meta

Return to page top